Trialmile docs

List

POST
/orders/list

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

campaignId*string
Length1 <= length
status?string

Value in

  • "new"
  • "scheduled"
  • "assigned"
  • "picked_up"
  • "arrived"
  • "delivered"
  • "failed"
  • "cancelled"
riderId?string
Length1 <= length
productId?string
Length1 <= length
phone?string
Length2 <= length <= 20
includeDeleted?boolean

Response Body

application/json

curl -X POST "https://example.com/orders/list" \  -H "Content-Type: application/json" \  -d '{    "campaignId": "string"  }'
null